> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extat.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Aplica crédito de goodwill no customer Stripe (admin)



## OpenAPI

````yaml /openapi/extat-openapi.json post /billing/admin/goodwill-credit
openapi: 3.0.0
info:
  contact:
    email: contato@cernedigital.io
    name: Cerne Digital
    url: https://cernedigital.io
  description: >-
    API REST da Extat Plataforma usada pelo painel web. Artefato OpenAPI 3.0
    para a documentação Mintlify (tags em PT-BR).
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Extat Plataforma - API REST
  version: '1.0'
servers:
  - url: https://golang-api-vgnqx.ondigitalocean.app/v1
security: []
tags:
  - name: Autenticação
  - name: Bancos
  - name: Contas Bancárias
  - name: Plano e Assinaturas
  - name: Empresa
  - name: Centros de Custo
  - name: Painel
  - name: Demonstrativos
  - name: Saúde
  - name: Convites
  - name: Membros
  - name: Onboarding
  - name: Fornecedores
  - name: Usuário
paths:
  /billing/admin/goodwill-credit:
    post:
      tags:
        - Plano e Assinaturas
      summary: Aplica crédito de goodwill no customer Stripe (admin)
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.GoodwillRequestDTO'
        description: credito a aplicar
        required: true
      responses:
        '204':
          description: No Content
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dto.GoodwillRequestDTO:
      properties:
        credit_cents:
          type: integer
        description:
          type: string
        user_id:
          type: string
      required:
        - credit_cents
        - user_id
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Token da sessão no cabeçalho Authorization, no formato Bearer (mesmo
        esquema ApiKeyAuth do contrato).
      in: header
      name: Authorization
      type: apiKey

````